Style Detail

The Style Detail service allows you to pass in a style_id and have the details of that style returned to you.

Service Name

style_detail

Required Parameters

NameType
style_idinteger

Optional Parameters

None

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=style_detail&style_id=1"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="style_detail" name="srv"/>
      <argument value="9" name="style_id"/>
    </parameters>
  </request>
  <response>
    <service>style_detail</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <styles count="1">
      <style id="9">
        <name>Pro - Bookkeeping</name>
        <order_by>9</order_by>
        <owner id="1">
          <first_name>Larry</first_name>
          <last_name>Cucumber</last_name>
          <full_name>Larry Cucumber</full_name>
          <email>[email protected]</email>
          <phones>
            <phone type="mobile">0123456789</phone>
          </phones>
        </owner>
        <editable>1</editable>
        <listed>1</listed>
        <creator id="0">System User</creator>
        <modifier id="0">System User</modifier>
        <created>0000-00-00 00:00:00</created>
        <modified>2001-12-06 23:29:49</modified>
      </style>
    </styles>
  </response>
</ccb_api>